# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"{EEC02DCF-BB1F-4044-88DB-75FA99A9CBDB}_is1",
   "name":"West Wind WebSurge 3.0.0.34",
   "version":"3.0.0.34",
   "install_date":"2024-08-29 00:00:00",
   "install_location":"C:\\Program Files\\West Wind WebSurge\\",
   "uninstall_string":"\"C:\\Program Files\\West Wind WebSurge\\unins000.exe\"",
   "publisher":"West Wind Technologies",
   "system_component":0,
   "win64":true
  },

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: WebSurgeSetup.exe")
    install_exe_if_needed("WebSurgeSetup.exe", silentflags="/SILENT", key="{EEC02DCF-BB1F-4044-88DB-75FA99A9CBDB}_is1", min_version=control.get_software_version())
